Skip to main content

Course software for introductory deep learning

 

The practicals can be done 

  • Laptop: 
  • JupyterLab:
  • Curnagl:

Laptop

Python installation

 

JupyterLab

R installation

 


JupyterLab

Python installation


R installation

Curnagl

Python installation

Here are some instructions for installing Keras with TensorFlow at the backend (for Python3), and other libaries, on the UNIL cluster called Curnagl. Open a terminal on your laptop and type (if you are located outside the UNIL you will need to activate the UNIL VPN):

$ ssh -Y < my unil username >@curnagl.dcsr.unil.ch

Here and in what follows we added the brackets < > to emphasize the username, but you should not write them in the command. Enter your UNIL password.

For Windows users with the MobaXterm terminal: Launch MobaXterm, click on Start local terminal and type the command ssh -Y < my unil username >@curnagl.dcsr.unil.ch. Enter your UNIL password. Then you should be on Curnagl. Alternatively, launch MobaXterm, click on the session icon and then click on the SSH icon. Fill in: remote host = curnagl.dcsr.unil.ch, specify username = < my unil username >. Finally, click ok, enter your password. If you have the question "do you want to save password ?" Say No if your are not sure. Then you should be on Curnagl.

See also the documentation: https://wiki.unil.ch/ci/books/high-performance-computing-hpc/page/ssh-connection-to-dcsr-cluster

$ cd /work/TRAINING/UNIL/CTR/rfabbret/cours_hpc/

$ mkdir < my unil username >

$ cd < my unil username >

For convenience, you will install the libraries from the frontal node to do the practicals. Note however that it is normally recommended to install libraries from the interactive partition by using (Sinteractive -m 4G -c 1).

$ git clone https://c4science.ch/source/DL_INTRO.git

$ module load gcc python/3.8.8

$ python -m venv mlcourse

$ source mlcourse/bin/activate

$ pip install -r DL_INTRO/requirements.txt

To check that Tensorflow was installed:

$ python -c 'import tensorflow; print(tensorflow.version.VERSION)'

There might be a warning message (see above) and the output should be something like "2.8.0".

You can terminate the current session:

$ deactivate

$ exit


R installation